<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%--
    Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at
   
         http://www.apache.org/licenses/LICENSE-2.0
   
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>

<html:html xhtml="true" lang="true">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Multibox Example</title>
<html:base />
<link rel="stylesheet" type="text/css" href="../../css/example.css" />
</head>
<body>
<html:link page="/jsp/multibox/source.jsp">
  <img src="../../images/code.gif" width="24" height="24" alt="View Source" class="icon" />
</html:link> 
<a href="../../index.jsp"><img src="../../images/return.gif" height="24" width="24" alt="Return to examples page" class="icon" /></a>
<h1>Multibox Example</h1>
<hr noshade="noshade"/>
<html:form action="/processMultibox">
	<h2>1. Simple multibox tags</h2>
  <p>Checkboxes are statically defined in the JSP.<br />
     Initially selected values are defined in the 'prepare' Action.</p>

	<html:multibox property="fruits" value="Strawberry"/>Strawberry<br />
	<html:multibox property="fruits" value="Apple"/>Apple<br />
	<html:multibox property="fruits" value="Orange"/>Orange<br />
	<html:multibox property="fruits" value="Pear"/>Pear<br />
	<html:multibox property="fruits" value="Mango"/>Mango<br />
	<html:multibox property="fruits" value="Banana"/>Banana<br />
	<html:multibox property="fruits" value="Pineapple"/>Pineapple<br />

	<h2>2. Multibox tags generated from an array</h2>
	<p>The checkboxes are generated by iterating over a String array containing color names.<br />
	   Initially selected values are defined in the 'prepare' Action.</p>

	<logic:iterate name="colors" id="color">
		<html:multibox property="colors">
			<bean:write name="color" />
		</html:multibox>
		<bean:write name="color" /><br />
	</logic:iterate>

	<hr />
	<p>
		<html:submit /> 
		<html:cancel />
		<html:reset />
	</p>
</html:form>

</body>
</html:html>